import { View,Image } from "@tarojs/components"
import walletImg from '@/assets/bank/walletBgi.png'
import './style.less'

export default (props) => {
  const {value,onClick,tixian}=props
  return (
    <View className='walletCard'>
      <Image src={walletImg} className='walletImg' />
      <View className='title'>钱包余额(元)</View>
      <View className='price'>{value}</View>
      {
        !tixian&&<View className='withdrawalBtn' onClick={onClick}>提现</View>
      }
    </View>
    )
}
