import { View, Image } from "@tarojs/components"
import './style.less'

export default (props) => {
  const { value, onChange } = props
  return (
    <View className='bank' style={{ background: `radial-gradient(circle at 0% 0%,#${value.color2},#${value.color1})` }}>
      <View className='top'>
        <View className='ImgBox'>
          <Image src={value.bankCode} className='logo' />
        </View>
        <View className='title'>
          {value.ownerBank}储蓄卡
        </View>
        <View className='codeNo'>****&nbsp;<text>{value.cardNo.slice(-4)}</text></View>
      </View>
      <View className='unBing' onClick={onChange}>解除绑定</View>
    </View>
  )
}
