import { View, Image } from "@tarojs/components"
import Jianbian from "@/components/Jianbian"
import './style.less'

export default (props) => {
  const { value, onClick, goMap } = props
  return (
    <View className='machineryCard'>
      <Jianbian value={value.jobStatus} status={value.status} type='machinery' />
      <Image src={value.thumb}  mode='aspectFill' onClick={onClick} />
      <View className='info'>
        <View className='machineryName' onClick={onClick} >{value.name}</View>
        <View className='goMap' onClick={goMap}>进入地图 {">"}{">"}</View>
      </View>
    </View>
  )
}
