import { View, Input, Button } from "@tarojs/components"
import { Popup } from "@antmjs/vantui";
import './style.less'

export default (props) => {
  const { showOver, onOverClose, area, setArea, handleOverOk } = props
  const handleArea = (e) => {
    setArea(e.detail.value)
  }
  return (
    <Popup
      show={showOver}
      onClose={onOverClose}
      className='tanchuang2'
    >
      <View className='bankInput'>
        <View className='header'>作业面积：</View>
        <Input className='body' type='digit' placeholder='请输入本次作业的面积' value={area} onInput={handleArea} />
      </View>
      <Button className='btn' onClick={handleOverOk}>确认</Button>
    </Popup>
  )
}