import { View, ScrollView, Image } from "@tarojs/components"
import withLayout from '@/layouts'
import CustomNav from "@/components/CustomNav"
import micon from '@/assets/machinery/micon.png'
import './style.less'

export default withLayout((props) => {
  return (
    <View className='page-index'>
      <View className='index-navbar'>
        <CustomNav title='用户协议' />
      </View>
      <View className='index-container version'>
        <ScrollView scrollY style={{ height: '100%' }}>
          <View className='title'>
            <Image src={micon} className='titleicon' />
            版本V1.0
            <Image src={micon} className='titleicon' />
          </View>
          <View className='updateContent'>
            <View>本次更新：</View>
            <View>--解决了一些已知问题--</View>
          </View>
          <View className='updateContent'>
            <View>最近更新：</View>
            <View>--aaaaaaaaaaaaaaaaaaaaaa--</View>
          </View>
        </ScrollView>
      </View>
    </View>
  )
})
