import request from '@/utils/request'

/**
  * 银行卡列表
  * @returns 
  * params 搜索条件放这里
  */
 export const getBankList = (params) => request('/bankcard', { params })
/**
  * 银行列表
  * @returns 
  * params 搜索条件放这里
  */
 export const getBankTypeList = (params) => request('/bank', { params })

/**
  * 银行卡详情
  * @returns 
  * params 搜索条件放这里
  */
 export const getBankDetail = (id,params) => request(`/bankcard/${id}`, { params })

 /**
 * 添加银行卡
 * @param {*} data
 * @returns
 */
export const addBank = (data) => request('/bankcard', { method: 'post', data });

/**
 * 解绑银行卡
 * @param {*} data
 * @returns
 */
 export const deleteBank = (id) => request(`/bankcard/${id}`, { method: 'delete' });
