import request from '@/utils/request'

/**
 * 登录
 * @param {*} data 
 * @returns 
 */
export const signIn = (data) => request('/login', { data, method: 'post' })

/**
 * 发送验证码
 * @param {*} data 
 * @returns 
 */
 export const setQcode = (params) => request('/sms-captcha', { method: 'post', params })

 /**
 * 假登录就是修改手机号
 * @param {*} 
 * @returns 
 */

export const updatePhone = (id, data) => request(`/person/${id}/phone`, { method: 'put', data })

/**
 * 修改个人信息
 * @param {*} 
 * @returns 
 */

 export const updateInfo = (id, data) => request(`/person/${id}`, { method: 'put', data })
